List organization seals
curl --request GET \
--url https://api.firma.dev/functions/v1/signing-request-api/seals \
--header 'Authorization: <api-key>'import requests
url = "https://api.firma.dev/functions/v1/signing-request-api/seals"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.firma.dev/functions/v1/signing-request-api/seals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"seals": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"lineage_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version": 2,
"companies_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companies_workspaces_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"display_name": "<string>",
"signatory_title": "<string>",
"kind": "uploaded",
"is_default": 0,
"statement_language": "<string>",
"statement_version": 2,
"signatory_name": "<string>",
"signatory_title_attested": "<string>",
"attested_at": "2023-11-07T05:31:56Z",
"revoked_on": "2023-11-07T05:31:56Z",
"created_at": "2023-11-07T05:31:56Z",
"deleted": 0
}
]
}{
"error": "Unauthorized",
"message": "Invalid API key"
}{
"error": "Forbidden",
"message": "You do not have permission to access this resource"
}{
"error": "Rate Limit Exceeded",
"message": "Too many requests. Please wait before retrying.",
"details": {
"retry_after": 45
}
}Seals
List organization seals
List organization seal heads for the company. Returns active (non-revoked, non-deleted) seal heads by default. Pass include_revoked=true to include revoked heads.
GET
/
seals
List organization seals
Authorizations
API key for authentication. Use your API key directly without any prefix (e.g., 'your-api-key'). Bearer prefix is optional but not required.
Query Parameters
Include revoked seal heads in the response
Filter seals by workspace scope
Response
Seal list retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?